#!/bin/sh 
#
# db_setup.c++_cc.sh
#
# set up the planetary_motion view for use
# in the Apex tutorial - debugger module.
#
vob_dir=`pwd`
#if  `cleartool lsvob $vob_dir`
#then
#	echo "  "
#	echo "---  FATAL ERROR: You must be in a VOB to execute this script."
#	exit 1
#fi
ss=queens.rss
source="$APEX_HOME/doc/html/all/tutorial/example_files"
if  [ -d $ss ]  
then
		echo "+++ Rational Subsystem $ss already exists."
else	
	echo "+++ Creating $ss Rational subsystem"
        if create_subsystem -model $APEX_CPP_MODEL $ss
        then
        	echo "+++ Created $ss" 
        else
        	echo "*** ERROR creating $ss subsystem "
        exit 1
	fi
fi

###
#

cd $ss
#
# tar the files in the correct locations.
#
tar xvf $source/queens_files

#
# register the main program
#
if apex register_main_program main.c
then
	if apex link main.c
	then
#
# 		visit the directory 
#
		visit $ss/$wrk
		echo " "
		echo " "
		echo "+++ DEBUGGER TUTORIAL SETUP COMPLETED SUCCESSFULLY!"
	else
		echo "*** ERROR linking queens program in `pwd`"
	fi
else
	echo "*** ERROR registering main.c program in `pwd`"
fi
