#!/bin/sh 
#
# db_setup_cc.sh
#
# set up the planetary_motion view for use
# in the Apex tutorial - debugger module.
#
vob_dir=`pwd`
#if  `cleartool lsvob $vob_dir`
#then
#	echo "  "
#	echo "---  FATAL ERROR: You must be in a VOB to execute this script."
#	exit 1
#fi
ss=project1.rss
source="$APEX_HOME/doc/html/all/tutorial/example_files"
if  [ -d $ss ]  
then
		echo "+++ Rational Subsystem $ss already exists."
else	
	echo "+++ Creating $ss Rational subsystem"
        if create_subsystem $ss
        then
        	echo "+++ Created $ss" 
        else
        	echo "*** ERROR creating $ss subsystem "
        exit 1
	fi
fi

#
# tar the files in the correct locations.
# The source files go in the view directory.
# Source_Description and Version_History are needed to have
# controlled versions.  
#
# Version 1 of all the files support 2 planets.
# The latest version of all files support 3 planets and an exception error
#
cd $ss
tar xvf $source/motion_files 

if apex link -debugging planetary_motion.2.ada
then
#
# 	visit the directory 
#
	visit $ss
	echo " "
	echo " "
	echo "+++ DEBUGGER TUTORIAL SETUP COMPLETED SUCCESSFULLY!"
else
	echo "*** ERROR linking planetary_motion.2.ada in `pwd`"
fi
