#!/bin/sh 
#
# debug_new.sh
#
# set up the planetary_motion view for use
# in the Apex tutorial - debugger module - exceptions topic
#
ss=$HOME/project1.ss
source="$APEX_HOME/doc/html/$APEX_LANG/tutorial/example_files"
wrk="motion.wrk"

if  [ -d $ss ]  
then
		echo "+++ Using existing $HOME/project1.ss subsystem"	
else	
	echo "+++ Creating $ss subsystem"
        if create_subsystem $ss
        then
        	echo "+++ Created $ss" 
        else
        	echo "*** ERROR creating $ss subsystem in $HOME"
        exit 1
	fi
fi
#
#
# create the working view 
#
cd $ss
if create_working $wrk
then
	echo "+++ Created working view $wrk"
else
	echo "*** Updating  existing working view $wrk"
fi

#
# tar the files in the correct locations.
# The source files go in the view directory.
# Source_Description and Version_History are needed to have
# controlled versions.  
#
# Version 1 of all the files support 2 planets.
# The latest version of all files support 3 planets and an exception error
#
cd $wrk
tar xvf $source/motion_files_new 

apex link -debugging planetary_motion.2.ada
echo " "
echo " "
echo "+++ DEBUGGER TUTORIAL UPDATED FOR EXCEPTIONS HANDLING TOPIC
