#!/bin/sh 
#
# debug_setup.c++.sh
#
# set up the queens view for use
# in the Apex tutorial - debugger module.
#
ss="$HOME/project1.ss"
source="$APEX_HOME/doc/html/$APEX_LANG/tutorial/example_files"
wrk="queens.wrk"
#

 
if  [ -d $ss ]
then
      echo "+++ Adding $wrk view to existing $HOME/project1.ss subsystem"
else
      echo "+++ Creating $ss subsystem"
      if create_subsystem $ss
      then
              echo "+++ Created $ss"
      else
              echo "*** ERROR creating $ss subsystem in $HOME"
      exit 1
      fi
fi


#
#
# create the working view 
#
cd $ss
if create_working -model $APEX_CPP_MODEL $wrk
then
	apex set_switch -switch_context $wrk -- C_OPTIONS -g CPP_OPTIONS -g
	echo "+++ Created working view $wrk"
else
	echo "*** ERROR creating working view $wrk"
	exit 1
fi

cd $ss/$wrk
#
# tar the files in the correct locations.
#
tar xvf $source/queens_files

#
# register the main program
#
if apex register_main_program main.c
then
	if apex link main.c
	then
#
# 		visit the directory 
#
		visit $ss/$wrk
		echo " "
		echo " "
		echo "+++ DEBUGGER TUTORIAL SETUP COMPLETED SUCCESSFULLY!"
	else
		echo "*** ERROR linking queens program in `pwd`"
	fi
else
	echo "*** ERROR registering main.c program in `pwd`"
fi
