#!/bin/sh 
#
# debug_setup.sh
#
# set up the planetary_motion view for use
# in the Apex tutorial - debugger module.
#
ss=$HOME/project1.ss
source="$APEX_HOME/doc/html/$APEX_LANG/tutorial/example_files"
wrk="motion.wrk"

if  [ -d $ss ]  
then
		echo "+++ Adding motion.wrk view to existing $HOME/project1.ss subsystem"	
else	
	echo "+++ Creating $ss subsystem"
        if create_subsystem $ss
        then
        	echo "+++ Created $ss" 
        else
        	echo "*** ERROR creating $ss subsystem in $HOME"
        exit 1
	fi
fi
#
#
# create the working view 
#
cd $ss
if create_working $wrk
then
	echo "+++ Created working view $wrk"
else
	echo "*** ERROR creating working view $wrk"
	exit 1
fi

#
# tar the files in the correct locations.
# The source files go in the view directory.
# Source_Description and Version_History are needed to have
# controlled versions.  
#
# Version 1 of all the files support 2 planets.
# The latest version of all files support 3 planets and an exception error
#
cd $wrk
tar xvf $source/motion_files 

#
# the versions are set to 1, link the 2 planet version
#
cd $ss/$wrk
#echo "+++ The version of each file is set to 1"
if apex link -debugging planetary_motion.2.ada
then
#
# 	visit the directory 
#
	visit $ss/$wrk
	echo " "
	echo " "
	echo "+++ DEBUGGER TUTORIAL SETUP COMPLETED SUCCESSFULLY!"
else
	echo "*** ERROR linking planetary_motion.2.ada in `pwd`"
fi
