with Orbit;
with Display;
package body Planet is
    type Object is
	record
	    Decoration : Character;
	    Previous_Coordinate : Coordinates_2D.Object;
	    O : Orbit.Object;
	end record;

    State : Object;

    procedure Make is
    begin
	State := (Decoration => Decoration, 
		  Previous_Coordinate => Initial_Coordinates, 
		  O => Orbit.Make (Coordinate => Initial_Coordinates, 
				   Velocity => Initial_Velocity, 
				   Initialize_Orbit => True));
    end Make;

    procedure Display_Planet is
    begin
	Display.Put (C => State.Previous_Coordinate, Char => ' ');
	Display.Put (C => Orbit.Coordinate (State.O), Char => State.Decoration);
    end Display_Planet;

    procedure Update_Orbit is
    begin
	State.Previous_Coordinate := Orbit.Coordinate (State.O);
	Orbit.Euler_Update (State.O);
    end Update_Orbit;

    function Current_Coordinates return Coordinates_2D.Object is
    begin
	return Orbit.Coordinate (State.O);
    end Current_Coordinates;

    function Current_Velocity return Velocity_2D.Object is
    begin
	return Orbit.Velocity (State.O);
    end Current_Velocity;
end Planet;
