--
-- File Name: sqrt.2.ada
--
with Universal_Types;
use Universal_Types;
function Sqrt (N : Numeric) return Numeric is
    Value : Numeric;
    Trial_Value : Numeric := N;
    Loop_Counter : Integer := 0;
    Found : Boolean;
begin
    --take initial wild stab at the value
    if (N < 4) then
	return 1;
    elsif N < 100 then
	Value := 7;
    elsif N < 1_000 then
	Value := 30;
    elsif N < 10_000 then
	Value := 100;
    else
	Value := 300;
    end if;

    -- interate to fine tune
    loop
	Found := Trial_Value = Value;
	exit when Found or else Loop_Counter > 10;
	Loop_Counter := Loop_Counter + 1;
	Trial_Value := Value;
	Value := (Trial_Value + N / Trial_Value) / 2;
    end loop;

    if not Found and then Trial_Value < Value then
	Value := Trial_Value;
    end if;
    return Value;

end Sqrt;
