#
# /bin/sh
#
# tut_setup.sh
# 
# setup the link to the tutorial subsystem
#
# get the paths of all the directory viewers currently open
#
if apex_display -window_list Directory > /tmp/dir
then
#
#	check if a window with this view is currently open
#
	if grep "project1.ss/hello.wrk$" /tmp/dir
	then
		echo "--- Setting up link for tutorial ---"
	else
		echo "*** ERROR project1.ss/hello.wrk window is not displayed"	
		/bin/rm /tmp/dir
		exit 1
	fi
#
# 	get the directory viewer path for  the ...tutorial.ss/hello.wrk view 
#
	ss="`grep "project1.ss/hello.wrk$" /tmp/dir | awk '{print $2}'`" 
	ss="`cd $ss;cd ..;pwd`"
	
	/bin/rm /tmp/dir
#
# 	create the softlink
#
	if ln -s $ss $HOME/.Rational/tut_dir
	then 	
		echo "+++ Created link to tutorial subsystem."
	else
		echo "*** ERROR trying to set link to the tutorial subsystem."
		exit 1
	fi
else
	echo "*** ERROR finding directory viewer"
	exit 1
fi
echo "+++ COMPLETED SETTING UP LINK FOR TUTORIAL
