-- 
-- File Name: velocity_2d.1.ada
-- 
with Universal_Types;
use Universal_Types;
package Velocity_2D is

    subtype Time is Numeric;
    subtype Offset is Numeric;

    type Object is private;

    function Make (X_Offset : Offset; Y_Offset : Offset; Delta_Time : Time) 
		  return Object;

    function X_Offset (V : Object) return Offset;
    function Y_Offset (V : Object) return Offset;
    function Delta_Time (V : Object) return Time;

private

    type Object is
	record
	    X : Offset;
	    Y : Offset;
	    D : Time;
	end record;

end Velocity_2D;

